Package uk.ac.starlink.task

# Class BooleanParameter

java.lang.Object
uk.ac.starlink.task.Parameter<Boolean>
uk.ac.starlink.task.BooleanParameter

public class BooleanParameter extends Parameter<Boolean>
Parameter value representing a boolean value. Permissible string values are true, false, yes and no (case insensitive).

Since:
  9 Aug 2005
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`BooleanParameter(String name)`
Constructs a new boolean parameter.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`booleanValue(Environment env)`
Returns the value of this parameter as a boolean.
`void`
`setBooleanDefault(boolean dflt)`
Sets the default as a boolean value.
`Boolean`
`stringToObject(Environment env, String stringval)`
Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter.

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BooleanParameter

public BooleanParameter(String name)
Constructs a new boolean parameter.

Parameters:
  `name` - parameter name

## Method Details

### booleanValue

public boolean booleanValue(Environment env) throws TaskException
Returns the value of this parameter as a boolean.

Parameters:
  `env` - execution environment
Returns:
  boolean value
Throws:
  `NullPointerException` - if the value is null, only possible if isNullPermitted is true (not by default)
  `TaskException`

### setBooleanDefault

public void setBooleanDefault(boolean dflt)
Sets the default as a boolean value.

Parameters:
  `dflt` - default value

### stringToObject

public Boolean stringToObject(Environment env, String stringval) throws ParameterValueException
Description copied from class: `Parameter`
Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter. This method also performs validation, so if the string value is unacceptable in any way, a ParameterValueException should be thrown.

It is an error to supply a null or empty string value.

If this method fails (throws a ParameterValueException) and if `allowClassnameValue` is set, then a subsequent attempt will be made to interpret the `stringVal` as the classname of a suitable class with a no-arg constructor.

Specified by:
  `stringToObject` in class `Parameter<Boolean>`
Parameters:
  `env` - execution environment; in most cases this is not required but for some purposes environment-specific characteristics may influence the result
  `stringval` - non-null, non-empty string value
Returns:
  typed value
Throws:
  `ParameterValueException`